UIDropSupport (RichFaces JSF components library 3.2.0.CR4 API)
Keywords: org.richfaces.component.UIDropSupport class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIDropSupport

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UICommand
                  org.ajax4jsf.component.AjaxActionComponent
                      org.richfaces.component.UIDropSupport

All Implemented Interfaces:
  javax.faces.component.ActionSource, javax.faces.component.ActionSource2, javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxComponent, org.ajax4jsf.event.AjaxSource, org.richfaces.component.Dropzone, org.richfaces.event.DropSource

Direct Known Subclasses:
  HtmlDropSupport

    public abstract class UIDropSupport

extends org.ajax4jsf.component.AjaxActionComponent
implements org.richfaces.component.Dropzone

JSF component class

Field Summary

Fields inherited from class org.ajax4jsf.component.AjaxActionComponent
`FOCUS_DATA_ID`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Fields inherited from interface org.ajax4jsf.component.AjaxComponent
`AJAX_COMPONETT_PARAMETER`

Constructor Summary
`UIDropSupport()`

Method Summary
`void` | `addDropListener(org.richfaces.event.DropListener listener)`
`void` | `broadcast(javax.faces.event.FacesEvent event)`
`org.richfaces.event.DropListener[]` | `getDropListeners()`
`void` | `queueEvent(javax.faces.event.FacesEvent event)`
`void` | `removeDropListener(org.richfaces.event.DropListener listener)`

Methods inherited from class org.ajax4jsf.component.AjaxActionComponent
`addAjaxListener, getAjaxListeners, getSingleComponent, removeAjaxListener, setupReRender, setupReRender`

Methods inherited from class javax.faces.component.UICommand
`addActionListener, getAction, getActionExpression, getActionListener, getActionListeners, getFamily, getValue, isImmediate, removeActionListener, restoreState, saveState, setAction, setActionExpression, setActionListener, setImmediate, setValue`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getValueExpression, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.richfaces.component.Dropzone
`getAcceptCursors, getAcceptedTypes, getCursorTypeMapping, getDropValue, getOndragenter, getOndragexit, getOndrop, getOndropend, getRejectCursors, getTypeMapping, setAcceptCursors, setAcceptedTypes, setCursorTypeMapping, setDropValue, setOndragenter, setOndragexit, setOndrop, setOndropend, setRejectCursors, setTypeMapping`

Methods inherited from interface org.richfaces.event.DropSource
`getDropListener, setDropListener`

Methods inherited from interface org.ajax4jsf.component.AjaxComponent
`getData, getEventsQueue, getFocus, getOnbeforedomupdate, getOncomplete, getProcess, getRequestDelay, getReRender, getStatus, getTimeout, isAjaxSingle, isBypassUpdates, isIgnoreDupResponses, isLimitToList, setAjaxSingle, setBypassUpdates, setData, setEventsQueue, setFocus, setIgnoreDupResponses, setLimitToList, setOnbeforedomupdate, setOncomplete, setProcess, setRequestDelay, setReRender, setStatus, setTimeout`

Constructor Detail

### UIDropSupport

    public UIDropSupport()

Method Detail

### addDropListener

    public void addDropListener(org.richfaces.event.DropListener listener)

  Specified by:
    `addDropListener` in interface `org.richfaces.event.DropSource`

### removeDropListener

    public void removeDropListener(org.richfaces.event.DropListener listener)

  Specified by:
    `removeDropListener` in interface `org.richfaces.event.DropSource`

### getDropListeners

    public org.richfaces.event.DropListener[] getDropListeners()

  Specified by:
    `getDropListeners` in interface `org.richfaces.event.DropSource`

### broadcast

    public void broadcast(javax.faces.event.FacesEvent event)
                   throws javax.faces.event.AbortProcessingException

  Overrides:
    `broadcast` in class `org.ajax4jsf.component.AjaxActionComponent`
  Throws:
    `javax.faces.event.AbortProcessingException`

### queueEvent

    public void queueEvent(javax.faces.event.FacesEvent event)

  Overrides:
    `queueEvent` in class `org.ajax4jsf.component.AjaxActionComponent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.